import React, { PureComponent, Fragment } from 'react';
import { connect } from 'react-redux';
import { Input, Cascader } from 'antd';


const options = [
    {
        value: 'zhejiang',
        label: '浙江',
        children: [{
            value: 'hangzhou',
            label: '杭州',
            children: [{
                value: 'xihu',
                label: '西湖',
            }],
        }],
    },
    {
        value: 'jiangsu',
        label: '江苏',
        children: [{
            value: 'nanjing',
            label: '南京',
            children: [{
                value: 'zhonghuamen',
                label: '中华门',
            }],
        }],
    }
];

class company extends PureComponent {




    render() {
        const { companyDetail } = this.props;
        let companyDetail2 = companyDetail.toJS();

        return (
            <Fragment>


                {/* <div className="save-tips">
                    <div className="alert bg-warning-700 text-white p-2 m-1" role="alert">
                        <div className="d-flex align-items-center">
                            <div className="alert-icon">
                                <i className="fal fa-info-circle"></i>
                            </div>
                            <div className="flex-1">
                                <span className="h5">内容已经修改</span>
                            </div>
                            <a href="#" className="btn btn-sm text-white width-8">取消</a>
                            <a href="#" className="btn btn-light btn-sm width-8">保存</a>
                        </div>
                    </div>
                </div> */}
                <div className="sheet-panel-header d-flex justify-content-between mx-4">
                    <div>
                        <a href="#" data-toggle="tooltip" data-placement="top" title="" data-original-title="新页面打开"><i className="fal fa-external-link"></i></a>
                    </div>
                    <div>
                    </div>
                </div>
                <div className="sheet-panel-content">
                    <div className="sheet-panel-form slimScroll1 mx-4">
                        <div className="form-header mt-3">
                            <div className="d-flex justify-content-between">
                                <span className="text-muted">公司</span>
                                <span className="text-muted">{companyDetail2.staffDetial.username} 创建于 {companyDetail2.create_time}</span>
                            </div>
                            <legend>{companyDetail2.companyname}</legend>
                        </div>
                        <div className="cldform clearfix">
                            <div className="cldform-line"></div>
                            <div className="cldform-item">
                                <div className="cldform-label">公司全称</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.companyname}
                                        onClick={() => console.log('false')}
                                        onChange={() => console.log('sdf')}
                                    />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item cldform-item-wauto">
                                <div className="cldform-label">公司地区</div>
                                <div className="cldform-control">
                                    <Cascader options={options} defaultValue={['zhejiang', 'hangzhou', 'xihu']} placeholder="公司地区" />

                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item cldform-item-wauto">
                                <div className="cldform-label">公司性质</div>
                                <div className="cldform-control">
                                    <Cascader options={options} placeholder="公司性质" />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item">
                                <div className="cldform-label">公司地址</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.address}
                                    />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item cldform-item-half pr-3">
                                <div className="cldform-label">公司传真</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.fax}
                                    />
                                </div>
                            </div>
                            <div className="cldform-item cldform-item-half pl-3">
                                <div className="cldform-label">网址</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.webservice}
                                    />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item">
                                <div className="cldform-label">乘车路线</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.ride}
                                    />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item">
                                <div className="cldform-label">地标建筑</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.landmarks}
                                    />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item">
                                <div className="cldform-label">参考住宿</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.stay}
                                    />
                                </div>
                            </div>
                            <div className="cldform-line"></div>
                            <div className="cldform-item">
                                <div className="cldform-label">备注</div>
                                <div className="cldform-control">
                                    <Input id="2"
                                        value={companyDetail2.remarks}
                                    />
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </Fragment>

        );
    }
}

const mapStateToProps = (state) => {
    return {
        companyDetail: state.getIn(['popups', 'companyDetail']),
    }
}

const mapDispathToProps = (dispatch) => {
    return {}
}

export default connect(mapStateToProps, mapDispathToProps)(company);