import * as constants from './constants';
import { fromJS } from 'immutable';
import * as config from '../../../common/config.js';
import axios from '../../../common/axios_auth.js';

export const getCompanyDetail = (key,error) => {
    return (dispatch) => {
        axios.get(config.CLD2API + '/contact/companyDetail/'+key).then((res) => {
            const data = res.data;
            if (data.code === 200) {
                dispatch({
                    type: constants.CHANGE_COMPANY_DETAIL,
                    data: data.data,
                });
            } else {
                error('公司详情请求失败');
            }
        }).catch((e) => {
            error('公司详情请求失败');
        })
    }
};

//loading
export const changeLoading = () => {
    return (dispatch) => {
        dispatch({
            type: constants.CHANGE_COMPANYDETAIL_LOADING,
            data: true,
        });
    }
}



