import * as constants from './constants';
import { fromJS } from 'immutable';


const defaultState = fromJS({
	popupsClientId: '',
	companyDetail: {staffDetial:{}},
	loading: true,
	districtOptions:[],
});


export default (state = defaultState, action) => {

	switch (action.type) {
		case constants.CHANGE_COMPANY_DETAIL:
			return state.merge({
				loading: false,
				companyDetail: fromJS(action.data)
			});
		case constants.CHANGE_COMPANYDETAIL_LOADING:
			return state.set('loading', action.data);
		// 	case constants.SEARCH_BLUR:
		// 		return state.set('focused', false);
		// 	case constants.CHANGE_LIST:
		// 		return state.merge({
		// 			list: action.data,
		// 			totalPage: action.totalPage
		// 		});
		// 	case constants.MOUSE_ENTER:
		// 		return state.set('mouseIn', true);
		// 	case constants.MOUSE_LEAVE:
		// 		return state.set('mouseIn', false);
		// 	case constants.CHANGE_PAGE:
		// 		return state.set('page', action.page);
		default:
			return state;
	}

}