import React, { Component } from 'react';
import { Provider } from 'react-redux';
import { BrowserRouter, Route,Link } from 'react-router-dom';
import store from './store';

// import '../app.css';

class WorkBench extends Component {
  render() {
    return (
      <Provider store={store}>
         
         <BrowserRouter>
          <aside className="page-sidebar">
            <div className="page-logo">
              <a href="#modal-shortcut" className="page-logo-link press-scale-down d-flex align-items-center position-relative" data-toggle="modal">
                <div className="icon-stack fa-2x">
                  <i className="base base-7 icon-stack-3x opacity-100 color-danger-900 "></i>
                  <i className="base base-4 icon-stack-2x opacity-100 color-danger-600 "></i>
                  <i className="fal fa-box icon-stack-1x opacity-100 color-white"></i>
                </div>
                <span className="page-logo-text mr-1">工作台</span>
                <span className="position-absolute text-white opacity-50 small pos-top pos-right mr-2 mt-n2"></span>
                <i className="ni ni-my-apps d-inline-block ml-1 fs-lg color-primary-300"></i>
              </a>
            </div>
            <nav id="js-primary-nav" className="primary-nav" role="navigation">
            
              <ul id="js-nav-menu" className="nav-menu">
                <li className="active open">
                  <a href="#" title="软件锁" data-filter-tags="软件锁" className="waves-effect waves-themed">
                    <i className="fal fa-magic "></i>
                    <span className="nav-link-text">工作台</span>
                  </a>
                  <ul>
                    <li className="active">
                    
                      {/* <Link to='/product'>公共锁库</Link> */}
                    </li>
                    <li>
                   
                      {/* <Link to='/product/lockStatistics'>使用统计</Link> */}
                    </li>
                  </ul>
                
                </li>
                
              </ul>
              
            </nav>
            
          </aside>
          <div  id="content">
               
                {/* <Route path='/product' exact component={Lockstore} ></Route>
                <Route path='/product/lockStatistics' exact render={()=><div>使用统计</div>} ></Route> */}
               
          </div>
            </BrowserRouter>
        
      </Provider>
    );
  }
}

export default WorkBench;