import { combineReducers } from 'redux-immutable';
import { reducer as clientReducer } from '../client/store';
import { reducer as companyReducer } from '../company/store';
import { reducer as commonContactReducer } from '../common/store';
import { reducer as popupsReducer } from '../../common/popups/store';
import { reducer as commonStore } from '../../common/store';


const reducer = combineReducers({
    commonContact: commonContactReducer,
    client: clientReducer,
    company: companyReducer,
    popups:popupsReducer,
    common:commonStore,
});

export default reducer;