
import React from 'react';
import ReactDOM from 'react-dom';

import Login from './login';
import { Provider } from 'react-redux';
import store from './store';

const App = (
    <Provider store={store}>
        <Login />
    </Provider>
)

ReactDOM.render(App, document.getElementById('root'));